font.c File Reference

monospace pixel fonts collection (code) More...

Go to the source code of this file.

## Variables

const uint16_t | font_king8 [FONT_GLYPH_NUMBERS *5]
| 8x5 px monospace bitmap font
static const uint16_t | font_king10 [FONT_GLYPH_NUMBERS *6]
| 10x6 px monospace bitmap font
static const uint16_t | font_king14 [FONT_GLYPH_NUMBERS *9]
| 14*9 px monospace bitmap font
const struct font_s | fonts [FONT_MAX]
| list of all available fonts More...

## Detailed Description

monospace pixel fonts collection (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file font.c.

## Variable Documentation

## fonts

const struct font_s fonts[FONT_MAX]

Initial value:
= {
[FONT_KING8] = {
.width = sizeof(font_king8)/sizeof(font_king8[0])/FONT_GLYPH_NUMBERS,
.height = 8,
.glyphs = font_king8,
},
[FONT_KING10] = {
.width = sizeof(font_king10)/sizeof(font_king10[0])/FONT_GLYPH_NUMBERS,
.height = 10,
.glyphs = font_king10,
},
[FONT_KING14] = {
.width = sizeof(font_king14)/sizeof(font_king14[0])/FONT_GLYPH_NUMBERS,
.height = 14,
.glyphs = font_king14,
},
}
font_king8
const uint16_t font_king8[FONT_GLYPH_NUMBERS *5]
8x5 px monospace bitmap font
Definition: font.c:24
FONT_GLYPH_NUMBERS
#define FONT_GLYPH_NUMBERS
number of available glyphs (starting with &#39; &#39; and ending with &#39;~&#39;)
Definition: font.h:38
FONT_KING8
custom 8x5 monospace font
Definition: font.h:24
font_king14
static const uint16_t font_king14[FONT_GLYPH_NUMBERS *9]
14*9 px monospace bitmap font
Definition: font.c:222
FONT_KING14
custom 14x9 monospace font
Definition: font.h:26
font_king10
static const uint16_t font_king10[FONT_GLYPH_NUMBERS *6]
10x6 px monospace bitmap font
Definition: font.c:123
FONT_KING10
custom 10x6 monospace font
Definition: font.h:25

list of all available fonts

Definition at line 321 of file font.c.